
import java.io.*;

final class Audio {

	public final static AudioDevice init(InputStream is) {
		return init(is,null);
	}

	public final static AudioDevice init(InputStream is, java.awt.Component c) {

		try {
			return new JavaSoundDevice(is);
		} catch (Throwable t) {
		}
		try {
			return new DirectSoundDevice(is,c);
		} catch (Throwable t) {
		}
		try {
			return new SunAudioDevice(is);
		} catch (Throwable t) {
		}

		return null;
	}

}

